Problems after installing WW Touched! cia.

Discussion in '3DS - Flashcards & Custom Firmwares' started by Youabra, Apr 2, 2016.

  1. Youabra
    OP

    Youabra Member

    Newcomer
    32
    7
    Sep 10, 2009
    I'll try to be as precise and clear as posible:

    This morning i downloaded a Cia of warioware touched (you know, the one you can buy at my Nintendo). I tried to install in my Emunand with FBI, but didn't work. DevMenu, on the other hand, did. So i waited, but the game didn't appear in my 3ds.

    However, that was the least of my problems. Apparently, now my 3ds is asking me to update, even though i have Emunand at the lastest release (10.7). Even worse, when i actually let the 3ds "update", it gives me an error and my 3ds restarts.

    But that isn't the only thing. It will ask me to update I try to use the broswer or the Eshop. Not only that, but after entering the eshop with homebrew, my downloads won't start, regardless of what of the 2 options i choose to download.

    I've tried everything. I've even formatted both my sysnand and emunand, but still, no luck.

    While it's true that i could just use the Cia installers, i prefer to downloads the games i have paid through the eshop.

    So, is there any solution to this? I'm 100% sure this problem is related to that cia, so i took a photo of the data DevMenu gives when you choose the cia in case it's needed. Here you go:
    [​IMG]

    I also have the download link to this CIA, but i can't post it for obvious reasons.

    Any help is appreciated. Thanks beforehand.

    I'm using ReiNand with a N3ds. Emunand is at 10.7
     
    Last edited by Youabra, Apr 2, 2016
  2. Youabra
    OP

    Youabra Member

    Newcomer
    32
    7
    Sep 10, 2009
    Whoops. I accidentaly post this in the wrong subforum. Any mod that could move this, please?
     
  3. Clydefrosch

    Clydefrosch GBAtemp Psycho!

    Member
    4,139
    1,192
    Jan 2, 2009
    Gambia, The
    have you tried removing the wario ware cia again?
     
  4. Ryccardo

    Ryccardo WiiUaboo

    Member
    3,371
    1,621
    Feb 13, 2015
    Italy
    Imola
    CTR NAND? So that's not DSiware, or it would show TWL NAND!

    (00040030-?)0009D(02) is the web browser!!
     
    Last edited by Ryccardo, Apr 2, 2016
  5. Youabra
    OP

    Youabra Member

    Newcomer
    32
    7
    Sep 10, 2009
    So what you're saying is that this cia replaced the Web Browser app? Or it's something worse than that?
     
  6. Ryccardo

    Ryccardo WiiUaboo

    Member
    3,371
    1,621
    Feb 13, 2015
    Italy
    Imola
    Yep, that's all this cia did (you could try uninstalling the browser with FBI, select nand mode and find these 2 titleids -- 00040030-00009D02 and 00040030-20009D02), then try updating again...

    ...but I honestly suspect you have worse problems, than just this cia!
     
  7. Clydefrosch

    Clydefrosch GBAtemp Psycho!

    Member
    4,139
    1,192
    Jan 2, 2009
    Gambia, The
    looking at it from here, there seem to be two ways for you to somewhat fix this.

    1. wait for 10.8 to be released, wait until everyone thinks updating emunand is save, update and hope it'll overwrite whatever is messed up with the browser.
    2. if you have a backup of your emunand on an older fw, inject that. you might have to reinstall a game or two but shouldn't lose anything else. then just update emunand again.

    (3. set up a fresh emunand from your hopefully still working 9.2 sysnand, but you'll probably lose all your savegames and games and i'm unsure how to go about taking your nnid from one emunand to the next.)
     
  8. Youabra
    OP

    Youabra Member

    Newcomer
    32
    7
    Sep 10, 2009
    Considering i've formatted the Emunand completely (AKA without tinyformat), option 3 doesn't sound bad xD. I guess i will try that later.

    Not sure if it's important, but one thing i did realised is that the Web Browser in the Sysnand work flawlessly. It doesn't ask me for updates, I can search things, and i can even load browserhax (I can't enter the eshop because it asks to update, but i know that it's because is in 9.2) . So i guess this whole "fake update" only took place in Emunand.
     
  9. Ryccardo

    Ryccardo WiiUaboo

    Member
    3,371
    1,621
    Feb 13, 2015
    Italy
    Imola
    Yep, as you installed this bad cia in emunand (which ironically would have been wrong, as DSiware must be installed to sysnand!)
     
  10. Clydefrosch

    Clydefrosch GBAtemp Psycho!

    Member
    4,139
    1,192
    Jan 2, 2009
    Gambia, The
    its really not that great a game anyway..
     
  11. Youabra
    OP

    Youabra Member

    Newcomer
    32
    7
    Sep 10, 2009
    Sorry for not saying nothing for a while. But i think i've finally repaired it.

    After multiple ideas failing, i realised that i had a "old" Emunand.bin back in January when i did the downgrade for the 1st time. So, i put it in my sd card, ran Emunand9, and replaced the emunand.
    And to my surprise, it worked! I'm able to enter the eshop, the browser, and i can even download stuff!
    So thank you both for the help.

    This thread can be closed ^^.
     
    Last edited by Youabra, Apr 2, 2016
  12. I_AM_L_FORCE

    I_AM_L_FORCE Unban me from Discord

    Member
    928
    294
    Feb 19, 2015
    London
    Is it an unlinked emunand? Make sure
     
  13. SirBeethoven

    SirBeethoven 3.145.... something. E=mc2

    Member
    1,809
    552
    Nov 26, 2015
    United States
    I'm pretty sure you can just use SysUpdater to "downgrade" to regular 10.7 again